<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__impl__dma__dw" kind="group">
    <compoundname>group_hal_impl_dma_dw</compoundname>
    <title>DW (Datawire)</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__impl__dma__dw_1gabf6b6a067689177e60afa0f902e31b4b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_dma_dw_init</definition>
        <argsstring>(cyhal_dma_t *obj, uint8_t priority)</argsstring>
        <name>_cyhal_dma_dw_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>priority</declname>
        </param>
        <briefdescription>
<para>Initialize the Datawire peripheral. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object to initialize </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority of this DMA operation relative to others. Values must be between 0-3 with 0 being the highest priority. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="287" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma_dw.c" bodystart="260" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_dw.h" line="48" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__dma__dw_1ga016e88948a62a63acfee633303f0b2c0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void _cyhal_dma_dw_free</definition>
        <argsstring>(cyhal_dma_t *obj)</argsstring>
        <name>_cyhal_dma_dw_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Frees the Datawire specific DMA object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="305" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma_dw.c" bodystart="289" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_dw.h" line="54" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__dma__dw_1ga319fc2473bb85e38b0a5c73558a51ca5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_dma_dw_configure</definition>
        <argsstring>(cyhal_dma_t *obj, const cyhal_dma_cfg_t *cfg)</argsstring>
        <name>_cyhal_dma_dw_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__dma__cfg__t">cyhal_dma_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Setup a Datawire descriptor for the dma resource. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration prameters for the transfer </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="393" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma_dw.c" bodystart="309" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_dw.h" line="62" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__dma__dw_1ga36f61612b84d2760b763e88d6847257e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t _cyhal_dma_dw_start_transfer</definition>
        <argsstring>(cyhal_dma_t *obj)</argsstring>
        <name>_cyhal_dma_dw_start_transfer</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Start a Datawire transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Initiates DMA channel transfer for specified DMA object <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the start_transfer request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="413" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma_dw.c" bodystart="395" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_dw.h" line="70" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__dma__dw_1ga36761737e1b884aaa5d8de2459b1394e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void _cyhal_dma_dw_enable_event</definition>
        <argsstring>(cyhal_dma_t *obj, cyhal_dma_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>_cyhal_dma_dw_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__dma_1gad4507e9f3660b19e1ddc3085a96279e2">cyhal_dma_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure Datawire event enablement. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events. The priority from the most recent call will take precedence, i.e all events will have the same priority. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="423" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma_dw.c" bodystart="415" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_dw.h" line="79" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__impl__dma__dw_1ga9d6c2163f193304a3b64cb387dc04e9d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool _cyhal_dma_dw_is_busy</definition>
        <argsstring>(cyhal_dma_t *obj)</argsstring>
        <name>_cyhal_dma_dw_is_busy</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__dma__t">cyhal_dma_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Checks whether a transfer is pending or running on the DMA channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The DMA object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>True if DMA channel is busy </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="441" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_dma_dw.c" bodystart="425" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_dma_dw.h" line="86" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Implementation specific interface for using the Datawire DMA peripheral. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>